Skip to content
MothershipDevelopers

API referenceAddress Book

Retrieve an address book entry

This endpoint gets the address book entry represented by addressId.

GET/address-book/{addressId}
Environment
https://sandbox.api.mothership.com/beta
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/address-book/addressId' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
Reads your token from $MOTHERSHIP_API_TOKEN
Response
{
: {
: "3f1c2a9e-5b7d-4e8a-9c61-2d4f8b0e7a15",
: "string",
: "Chemtrec",
: {
: "2800 E Observatory Rd",
: "string",
: "Los Angeles",
: "CA",
: "90027"
},
: "string",
: "0900",
: "1700",
: {
: "string",
: "+15555555555",
: "string",
: "logistics@example.com",
: "Dock door 3",
: [
"string"
]
},
: {
: "string",
: "+15555555555",
: "string",
: "logistics@example.com",
: "Dock door 3",
: [
"string"
]
},
: "2026-03-19T17:00:00.000Z",
: "2026-03-19T17:00:00.000Z"
}
}

Hover a key to see what it means. Click it to jump to the field.

Authorization: Bearer <token>

Your sandbox API token. See Authentication.

  • addressIdstring<uuid>Required

    ID of the address book entry

    • dataobjectRequired
      • idstring<uuid>Required

        ID of the address book entry

      • nicknamestringRequired

        Your own name for this location

        nullable
      • companyNamestringRequired

        Business or company name at this location

        nullable
      • addressobjectRequired
      • formattedAddressstringRequired

        The full address on one line

      • openTimestringRequired

        Open time of this location, in 4-digit 24-hour time format (HHmm) of this location's timezone.

        For example: 0900 to represent 9:00am in local time

        4 characterspattern ^[0-9]{4}$nullable
      • closeTimestringRequired

        Close time of this location, in 4-digit 24-hour time format (HHmm) of this location's timezone. Must be later than openTime.

        For example: 1700 to represent 5:00pm in local time

        4 characterspattern ^[0-9]{4}$nullable
      • pickupobjectRequired
      • deliveryobjectRequired
      • createdAtstring<date-time>Required

        ISO string of when the entry was created

      • updatedAtstring<date-time>Required

        ISO string of when the entry was last changed